constraints-extras-0.4.0.2: Utility package for constraints

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Constraint.Compose

Synopsis

- class p (f a) => ComposeC (p :: k2 -> Constraint) (f :: k1 -> k2) (a :: k1)

# Documentation

class p (f a) => ComposeC (p :: k2 -> Constraint) (f :: k1 -> k2) (a :: k1) Source #

Composition for constraints.

#### Instances

Instances details

p (f a) => ComposeC (p :: k2 -> Constraint) (f :: k1 -> k2) (a :: k1) Source # |
Instance details Defined in Data.Constraint.Compose